Download it now!
Bug 30858 - LibO Crash when saving doc to rtf.
Summary: LibO Crash when saving doc to rtf.
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Noel Power
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-14 00:14 UTC by Yifan Jiang
Modified: 2015-01-14 15:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
test data (59.00 KB, application/msword)
2010-10-14 00:14 UTC, Yifan Jiang
Details
crash stack (16.83 KB, text/x-log)
2010-10-14 00:14 UTC, Yifan Jiang
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yifan Jiang 2010-10-14 00:14:20 UTC
Created attachment 39434 [details]
test data

Platform: SLED 10 sp3
build info: LibreOffice 3.2.99.1a with VBA patch

[Steps]

    1. Open the attached doc file

    2. Save the document as rtf

[Problem]

    LibO crashes when trying to save.
      
[Extra Information]

    This is a regression against LibreOffice 3.2.99.1a without VBA patch

    Crash stack attached
Comment 1 Yifan Jiang 2010-10-14 00:14:59 UTC
Created attachment 39435 [details]
crash stack
Comment 2 Noel Power 2010-10-14 07:07:17 UTC
fixed on master
Comment 3 sophie 2010-11-01 11:55:56 UTC
Verified in 10_10_28_Cedric.rpm build - Closing - Sophie
Comment 4 Roman Eisele 2012-05-07 09:35:22 UTC
This is (at least at the surface) a Writer issue, therefore changed the
'Component' field accordingly.

Set 'Version' field according to original description (even if 3.3b2 is not exactly right, it gives a good impression of how old this bug is!).